generator:
  class: sfDoctrineGenerator
  param:
    model_class:           User
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          user
    with_doctrine_route:   true
    actions_base_class:    sfActions
    order: 90
    skip: true

    config:
      actions: ~
      fields:
        id: {label: 'ID'}
        username: {label: 'ИНН'}
        fname: {label: 'Фамилия'}
        iname: {label: 'Имя'}
        oname: {label: 'Отчество'}
        email: {label: 'Эл. почта'}
        city_id: {label: 'Город'}
        city: {label: 'Город'}
        organization: {label: 'Организация'}
        address: {label: 'Адрес'}
        phone_number: {label: 'Номер телефона'}
        salt: {label: ''}
        discount: {label: 'Скидка'}
        total_debt: {label: 'Задолженность'}
        overdue_payment: {label: 'Просрочено'}
        password: {label: 'Пароль'}
        open_password: {label: 'Пароль'}
        is_active: {label: 'Активирован'}
        is_super_admin: {label: 'Администратор'}
        last_login: {label: 'Синхронизация'}
        manager: {label: 'Менеджер'}
        manager_id: {label: 'Менеджер'}
        created_at: {label: 'Дата регистрации'}
        updated_at: {label: ''}
      list:
        table_method: onlyClients
        layout: ~
        title: 'Клиенты'
        display: [_username, open_password, organization, last_login, is_active, created_at]
        max_per_page: 100
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: [username, organization]
        export: false
        actions: []
        sort: [last_login, desc]
      filter:
        class: false
      form: ~
      edit:
        title: Редактирование 
      new:
        title: Добавление 